from otree.api import (
    models, widgets, BaseConstants, BaseSubsession, BaseGroup, BasePlayer,
    Currency as c, currency_range
)
import csv

author = 'Your name here'

class Constants(BaseConstants):
    name_in_url = 'shakom'
    players_per_group = None
    num_rounds = 1

    #選択肢の数を設定
    number_of_choices=10;
    list_number_of_choices=range(1,number_of_choices+1)#リストとしてInputに受け渡さないとなぜかエラー

    # 学生側の情報を読み込み
    with open('shakom/users.csv') as questions_file:
        student_file = csv.reader(questions_file)
        header = next(student_file)
        student_list = list(student_file)

    student_count = sum(1 for row in student_list)
    setting_list = {}
    for q in range(student_count):
        setting_list[student_list[q][0]] = {"reg_key":student_list[q][0],"belongs":student_list[q][1]}



    # 先生側の情報を読み込み
    with open('shakom/teachers.csv',encoding='utf-8') as questions_file:
        teachers_file = csv.reader(questions_file)
        next(teachers_file)
        teacher_list = list(teachers_file)

    teacher_keys=[]
    teacher_names=[]
    for q in range(sum(1 for row in teacher_list)):
        teacher_keys.append(teacher_list[q][0])
        teacher_names.append(teacher_list[q][1])
    teachers_dict=dict(zip(teacher_keys,teacher_names))
    tch_dict_inv=dict(zip(teacher_names,teacher_keys))
    #print(teachers_dict)

    choice_tmp=None




class Subsession(BaseSubsession):
    pass



class Group(BaseGroup):
    pass

class Player(BasePlayer):
    reg_key = models.StringField(initial=None)
    belongs=models.StringField(initial=None)
    student_choices = models.StringField()
    input_flg = models.IntegerField(initial=0)

